* {
    box-sizing: border-box;
}

body {
    margin: 0;
}

.bg_red {
    background: red;
    width: 800px;
    height: 800px;
    padding: 10px;
    margin: 0 auto;
}

.bg_yellow {
    background: yellow;
    width: 100px;
    height: 100px;
}

.bg_blue {
    background: blue;
    width: 300px;
    height: 300px;
    padding: 10px;
    display: flex;
    justify-content: space-between;
}

.bg_green {
    background: green;
    width: 50px;
    height: 50px;
}

.first_box {
    height: 50%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.second_box {
    height: 50%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.bottom_green {
    display: flex;
    align-self: flex-end;
}